Bug 280324 - kwin-4.7.0 with OpenGL ES crashes sometimes with new xf86-video-intel-2.16.0 drivers
Summary: kwin-4.7.0 with OpenGL ES crashes sometimes with new xf86-video-intel-2.16.0 ...
Status: RESOLVED INTENTIONAL
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-18 10:17 UTC by Sven Eden
Modified: 2011-09-17 12:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (21.38 KB, text/plain)
2011-08-18 10:19 UTC, Sven Eden
Details
New crash information added by DrKonqi (21.38 KB, text/plain)
2011-08-18 10:21 UTC, Sven Eden
Details
New crash information added by DrKonqi (29.63 KB, text/plain)
2011-09-16 18:33 UTC, Sven Eden
Details
New crash information added by DrKonqi (4.08 KB, text/plain)
2011-09-17 12:11 UTC, Sven Eden
Details
New crash information added by DrKonqi (4.79 KB, text/plain)
2011-09-17 12:13 UTC, Sven Eden
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Eden 2011-08-18 10:17:49 UTC
Application: kwin (4.7.00 (4.7.0))
KDE Platform Version: 4.7.00 (4.7.0) (Compiled from sources)
Qt Version: 4.7.3
Operating System: Linux 3.0.1-gentoo x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:
Moved the mouse over the digital clock in the taskbar to display current calendar information

- Custom settings of the application:
Desktop Effects were enabled

- State of kwin:
kwin-4.7.0 has been compiled with GLES instead of OpenGL support. For this to work mesa had to be compiled without gallium support (or the intel video portion crashes kwin on load, gallium-intel is far from ready) and worked flawlessly with the previous version of the intel drivers

- Installed versions:
kwin - 4.7.0
libdrm - 2.4.26
mesa - 7.11
xf86-video-intel - 2.16.0
xorg-server - 1.10.3

The crash does not seem to be reproducible.

-- Backtrace:
Application: KWin (kwin), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fb377c0d7c0 (LWP 3791))]

Thread 2 (Thread 0x7fb35b0e0700 (LWP 3871)):
#0  0x00007fb37329d53c in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fb376273664 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtScript.so.4
#2  0x00007fb376273699 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtScript.so.4
#3  0x00007fb373298d4c in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb37746aded in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fb377c0d7c0 (LWP 3791)):
[KCrash Handler]
#6  0x00007fb35f9f5eb1 in ?? () from /usr/lib64/dri/i965_dri.so
#7  0x00007fb35f9f69c9 in ?? () from /usr/lib64/dri/i965_dri.so
#8  0x00007fb374ac31c3 in dri2_destroy_image_khr () from /usr/lib64/libEGL.so.1
#9  0x00007fb374abaec5 in eglDestroyImageKHR () from /usr/lib64/libEGL.so.1
#10 0x00007fb3777ebe36 in KWin::SceneOpenGL::Texture::load(unsigned long const&, QSize const&, int, QRegion) () from /usr/lib64/libkdeinit4_kwin.so
#11 0x00007fb3777ec04b in KWin::SceneOpenGL::Window::bindTexture() () from /usr/lib64/libkdeinit4_kwin.so
#12 0x00007fb3777f02c0 in KWin::SceneOpenGL::Window::performPaint(int, QRegion, KWin::WindowPaintData) () from /usr/lib64/libkdeinit4_kwin.so
#13 0x00007fb3777dcf8b in KWin::Scene::finalDrawWindow(KWin::EffectWindowImpl*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#14 0x00007fb3777fd3c9 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#15 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#16 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#17 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#18 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#19 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#20 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#21 0x00007fb35b145148 in KWin::BlurEffect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#22 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#23 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#24 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#25 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#26 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#27 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#28 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#29 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#30 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#31 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#32 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#33 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#34 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#35 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#36 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#37 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#38 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#39 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#40 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#41 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#42 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#43 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#44 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#45 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#46 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#47 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#48 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#49 0x00007fb37585f19b in KWin::Effect::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#50 0x00007fb3777fd467 in KWin::EffectsHandlerImpl::drawWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#51 0x00007fb3777dc7fb in KWin::Scene::finalPaintWindow(KWin::EffectWindowImpl*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#52 0x00007fb3777fd569 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#53 0x00007fb37585f2bb in KWin::Effect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#54 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#55 0x00007fb37585f2bb in KWin::Effect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#56 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#57 0x00007fb35b11dbbf in KWin::DashboardEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#58 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#59 0x00007fb37585f2bb in KWin::Effect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#60 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#61 0x00007fb35b103729 in KWin::PresentWindowsEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#62 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#63 0x00007fb35b11639c in KWin::TaskbarThumbnailEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#64 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#65 0x00007fb35b12c588 in KWin::HighlightWindowEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#66 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#67 0x00007fb35b0fd897 in KWin::DialogParentEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#68 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#69 0x00007fb35b1005dd in KWin::FadeEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#70 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#71 0x00007fb35b122cc8 in KWin::DesktopGridEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#72 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#73 0x00007fb35b1178b6 in KWin::BoxSwitchEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#74 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#75 0x00007fb37585f2bb in KWin::Effect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#76 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#77 0x00007fb35b162e09 in KWin::CubeSlideEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#78 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#79 0x00007fb35b130af7 in KWin::TranslucencyEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#80 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#81 0x00007fb35b1319f9 in KWin::MinimizeAnimationEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#82 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#83 0x00007fb35b114530 in KWin::SlidingPopupsEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#84 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#85 0x00007fb35b102972 in KWin::LoginEffect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#86 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#87 0x00007fb37585f2bb in KWin::Effect::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkwineffects.so.1
#88 0x00007fb3777fd607 in KWin::EffectsHandlerImpl::paintWindow(KWin::EffectWindow*, int, QRegion, KWin::WindowPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#89 0x00007fb3777dd1b3 in KWin::Scene::paintWindow(KWin::Scene::Window*, int, QRegion, KWin::WindowQuadList) () from /usr/lib64/libkdeinit4_kwin.so
#90 0x00007fb3777df40f in KWin::Scene::paintGenericScreen(int, KWin::ScreenPaintData) () from /usr/lib64/libkdeinit4_kwin.so
#91 0x00007fb3777ebb71 in KWin::SceneOpenGL::paintGenericScreen(int, KWin::ScreenPaintData) () from /usr/lib64/libkdeinit4_kwin.so
#92 0x00007fb3777dc79a in KWin::Scene::finalPaintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#93 0x00007fb3777fd78f in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#94 0x00007fb35b176f7b in KWin::StartupFeedbackEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#95 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#96 0x00007fb35b102dfb in KWin::OutlineEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#97 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#98 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#99 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#100 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#101 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#102 0x00007fb35b1030fc in KWin::PresentWindowsEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#103 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#104 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#105 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#106 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#107 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#108 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#109 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#110 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#111 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#112 0x00007fb35b120941 in KWin::DesktopGridEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#113 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#114 0x00007fb35b11a5b2 in KWin::BoxSwitchEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#115 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#116 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#117 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#118 0x00007fb35b162532 in KWin::CubeSlideEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#119 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#120 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#121 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#122 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#123 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#124 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#125 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#126 0x00007fb37585f33f in KWin::Effect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkwineffects.so.1
#127 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#128 0x00007fb35b1406e1 in KWin::ZoomEffect::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/kde4/kwin4_effect_builtins.so
#129 0x00007fb3777fd81b in KWin::EffectsHandlerImpl::paintScreen(int, QRegion, KWin::ScreenPaintData&) () from /usr/lib64/libkdeinit4_kwin.so
#130 0x00007fb3777dec75 in KWin::Scene::paintScreen(int*, QRegion*) () from /usr/lib64/libkdeinit4_kwin.so
#131 0x00007fb3777f476e in KWin::SceneOpenGL::paint(QRegion, QList<KWin::Toplevel*>) () from /usr/lib64/libkdeinit4_kwin.so
#132 0x00007fb3777d9661 in KWin::Workspace::performCompositing() () from /usr/lib64/libkdeinit4_kwin.so
#133 0x00007fb3736208b9 in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#134 0x00007fb3727c9db4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#135 0x00007fb3727ce92a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#136 0x00007fb376f5c616 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#137 0x00007fb37360c99b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#138 0x00007fb37363a1de in QTimerInfoList::activateTimers() () from /usr/lib64/qt4/libQtCore.so.4
#139 0x00007fb37363a320 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#140 0x00007fb37286fffb in QEventDispatcherX11::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtGui.so.4
#141 0x00007fb37360bd42 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#142 0x00007fb37360bf84 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#143 0x00007fb37361040b in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#144 0x00007fb377778d2f in kdemain () from /usr/lib64/libkdeinit4_kwin.so
#145 0x00007fb3773b2ebd in __libc_start_main () from /lib64/libc.so.6
#146 0x00000000004006c9 in _start ()

Reported using DrKonqi
Comment 1 Sven Eden 2011-08-18 10:19:44 UTC
Created attachment 62930 [details]
New crash information added by DrKonqi

kwin (4.7.00 (4.7.0)) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.3

- What I was doing when the application crashed:
Opened Kalendar via ctrl-F2. kwin crashed, restarted, and the Kalendar was displayed.

- Custom settings of the application:
Desktop Effects were enabled

- State of kwin:
kwin-4.7.0 has been compiled with GLES instead of OpenGL support. For this to work mesa had to be compiled without gallium support (or the intel video portion crashes kwin on load, gallium-intel is far from ready) and worked flawlessly with the previous version of the intel drivers

- Installed versions:
kwin - 4.7.0
libdrm - 2.4.26
mesa - 7.11
xf86-video-intel - 2.16.0
xorg-server - 1.10.3

-- Backtrace (Reduced):
#8  0x00007f567533b1c3 in dri2_destroy_image_khr () from /usr/lib64/libEGL.so.1
#9  0x00007f5675332ec5 in eglDestroyImageKHR () from /usr/lib64/libEGL.so.1
#10 0x00007f5678063e36 in KWin::SceneOpenGL::Texture::load(unsigned long const&, QSize const&, int, QRegion) () from /usr/lib64/libkdeinit4_kwin.so
#11 0x00007f567806404b in KWin::SceneOpenGL::Window::bindTexture() () from /usr/lib64/libkdeinit4_kwin.so
#12 0x00007f56780682c0 in KWin::SceneOpenGL::Window::performPaint(int, QRegion, KWin::WindowPaintData) () from /usr/lib64/libkdeinit4_kwin.so
Comment 2 Sven Eden 2011-08-18 10:21:45 UTC
Created attachment 62931 [details]
New crash information added by DrKonqi

kwin (4.7.00 (4.7.0)) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.3

- What I was doing when the application crashed:
Hovered on an Icon in the folder view of my Desktop folder

- Custom settings of the application:
Desktop Effects were enabled

- State of kwin:
kwin-4.7.0 has been compiled with GLES instead of OpenGL support. For this to work mesa had to be compiled without gallium support (or the intel video portion crashes kwin on load, gallium-intel is far from ready) and worked flawlessly with the previous version of the intel drivers

- Installed versions:
kwin - 4.7.0
libdrm - 2.4.26
mesa - 7.11
xf86-video-intel - 2.16.0
xorg-server - 1.10.3

- Further notes:
All those three crashes happened exactly once. When I tried to reproduce them, kwin remained running. But I have disabled the desktop effects for now.

-- Backtrace (Reduced):
#8  0x00007ffee28db1c3 in dri2_destroy_image_khr () from /usr/lib64/libEGL.so.1
#9  0x00007ffee28d2ec5 in eglDestroyImageKHR () from /usr/lib64/libEGL.so.1
#10 0x00007ffee5603e36 in KWin::SceneOpenGL::Texture::load(unsigned long const&, QSize const&, int, QRegion) () from /usr/lib64/libkdeinit4_kwin.so
#11 0x00007ffee560404b in KWin::SceneOpenGL::Window::bindTexture() () from /usr/lib64/libkdeinit4_kwin.so
#12 0x00007ffee56082c0 in KWin::SceneOpenGL::Window::performPaint(int, QRegion, KWin::WindowPaintData) () from /usr/lib64/libkdeinit4_kwin.so
Comment 3 Sven Eden 2011-08-18 10:24:24 UTC
Sorry for _another_ post. I forgot to mention, that since the second crash krunner does not work any more. The process is there, but it does not react to neither desktop context menu entry to start a program, nor ctrl-F2 key combination. Weird.
Comment 4 Sven Eden 2011-09-16 18:33:38 UTC
Created attachment 63704 [details]
New crash information added by DrKonqi

kwin (4.7.1 (4.7.1)) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.3

- What I was doing when the application crashed:
Pressed Alt+F2 to open krunner.

- Custom settings of the application:
Intel Drivers 2.16.0 with Intel HD chipset and GLES instead of OpenGL support.
Intel Drivers 2.15.0 work flawlessly with GLES

-- Backtrace (Reduced):
#8  0x0000003fd680d1c3 in dri2_destroy_image_khr () from /usr/lib64/libEGL.so.1
#9  0x0000003fd6804ec5 in eglDestroyImageKHR () from /usr/lib64/libEGL.so.1
#10 0x00007f94c6e99196 in KWin::SceneOpenGL::Texture::load (this=0xcaa6b0, pix=<optimized out>, size=..., depth=<optimized out>, region=<optimized out>) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/scene_opengl_egl.cpp:257
#11 0x00007f94c6e993ab in KWin::SceneOpenGL::Window::bindTexture (this=0xcaa670) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/scene_opengl.cpp:387
#12 0x00007f94c6e9d620 in KWin::SceneOpenGL::Window::performPaint (this=0xcaa670, mask=518, region=..., data=...) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/scene_opengl.cpp:476
Comment 5 Martin Flöser 2011-09-16 18:40:44 UTC
> - Custom settings of the application:
> Intel Drivers 2.16.0 with Intel HD chipset and GLES instead of OpenGL support.
> Intel Drivers 2.15.0 work flawlessly with GLES
We cannot do anything about driver crashes. Please report to Intel devs.
Comment 6 Sven Eden 2011-09-17 11:33:41 UTC
Yes, I thought about that, too. The problem: kwin is the only opengl app that crashes. Every OpenGL program I tried worked without any issues.
Comment 7 Martin Flöser 2011-09-17 11:36:29 UTC
On Saturday 17 September 2011 11:33:42 Sven Eden wrote:
> Yes, I thought about that, too. The problem: kwin is the only opengl app that
> crashes. Every OpenGL program I tried worked without any issues.
Well OpenGL applications use OpenGL, while you chose to use KWin with OpenGL ES 2.0. Which is a major difference.
Comment 8 Sven Eden 2011-09-17 11:53:41 UTC
I have recompiled mesa and kwin to use OpenGL instead of GLES, the result is the same, it crashes. If it is of any interest, I'll add the trace, but that's a bit difficult. When trying with OpenGL kwin crashes so badly, that it does not come back.

I'll finish my report on bugs.freedesktop.org referencing this bug, then I'll give the new drivers a try again.
Comment 9 Sven Eden 2011-09-17 12:11:34 UTC
Created attachment 63722 [details]
New crash information added by DrKonqi

kwin (4.7.1 (4.7.1)) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.3

This is one of two Backtraces with OpenGL and the new drivers like mentioned above.

There _is_ a bug that is about this issue, in Bug 268186 (found by DrKonqi) someone reported that kwin crashes when direct rendering is disabled. That's the way I have got this trace.

When it crashed first I noted that both Direct Rendering and V2 Shaders where disabled. Why, I can't tell, those options have always been enabled and the previous drivers worked properly. Maybe they got automatically disabled due to kwin crashing?

Unfortunately when kwin went out for lunch DrKonqi opened twice. I can't tell which one of both traces is more relevant, so I hope you forgive me posting both. Mainly for having Backtraces for the intel devs. (https://bugs.freedesktop.org/show_bug.cgi?id=40962)

-- Backtrace (Reduced):
#7  0x0000003a37245172 in dri2SwapBuffers (pdraw=0x17f0ec0, target_msc=0, divisor=0, remainder=0) at dri2_glx.c:547
#8  0x0000003a388d8cb5 in KWin::SceneOpenGL::flushBuffer (this=<optimized out>, mask=<optimized out>, damage=...) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/scene_opengl_glx.cpp:530
#9  0x0000003a388d9535 in KWin::SceneOpenGL::paint (this=0x17de500, damage=..., toplevels=<optimized out>) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/scene_opengl_glx.cpp:464
#10 0x0000003a388bc461 in KWin::Workspace::performCompositing (this=0x1ace4e0) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/composite.cpp:432
#11 0x0000003c6af718b9 in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
Comment 10 Sven Eden 2011-09-17 12:13:08 UTC
Created attachment 63724 [details]
New crash information added by DrKonqi

kwin (4.7.1 (4.7.1)) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.3

This is the second instance of DrKonqi that opened like mentioned in my previous post

-- Backtrace (Reduced):
#7  0x0000003a37230e38 in __indirect_glProgramParameters4fvNV (target=1, index=46309492, num=47375952, params=<optimized out>) at /usr/include/bits/string3.h:52
#8  0x00007f0b017cd518 in KWin::ARBBlurShader::init (this=0x2c2a060) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/effects/blur/blurshader.cpp:463
#9  0x00007f0b017c9a50 in KWin::BlurEffect::reconfigure (this=0x29909c0, flags=<optimized out>) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/effects/blur/blur.cpp:83
#10 0x00007f0b017c9bcc in KWin::BlurEffect::BlurEffect (this=0x29909c0) at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/effects/blur/blur.cpp:53
#11 0x00007f0b017c9cb6 in KWin::effect_create_kwin4_effect_blur () at /var/tmp/portage/kde-base/kwin-4.7.1-r1/work/kwin-4.7.1/kwin/effects/blur/blur.cpp:33
Comment 11 Martin Flöser 2011-09-17 12:17:19 UTC
both crahes are deep down in the driver and out of our control. Ensure that direct rendering is enabled. In the worst case 
ensure by using KWIN_DIRECT_GL=1.

There's nothing we can do in kwin about it. We cannot investigate such issues without experienceing the crashes 
ourselves.
Comment 12 Sven Eden 2011-09-17 12:40:24 UTC
Yes, yes, I understood that. The problem was, that after the first crash with kwin-4.7.1 I switched to OpenGL and kwin crashed very severly upon the first start. I downgraded the driver, KDE started normally, and _then_ I noticed that DR was disabled.

I am now on mesa-7.11 and video-intel-2.16.0 with classic drivers and OpenGL, and it works. I simply wanted to have the Backtraces here for the intel devs. ;-)

I mark this bug as RESOLVED/WONTFIX (Dunno whether INVALID might be the better choice)